Bug 110191 - [icl guc][CI][BAT] igt@runner@aborted - fail - Previous test: nothing, WARN_ON_ONCE(((&(dev_priv)->__info)->gen) >= 11)
Summary: [icl guc][CI][BAT] igt@runner@aborted - fail - Previous test: nothing, WARN_O...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-19 08:43 UTC by Martin Peres
Modified: 2019-05-28 11:18 UTC (History)
2 users (show)

See Also:
i915 platform: ICL
i915 features: firmware/guc


Attachments
attachment-7407-0.html (1.57 KB, text/html)
2019-03-19 09:27 UTC, Jon Ewins
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-19 08:43:17 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5769/fi-icl-guc/igt@runner@aborted.html

<6>[   11.799284] snd_hda_intel 0000:00:1f.3: enabling device (0000 -> 0002)
<6>[   11.813548] i915 0000:00:02.0: GuC: No firmware was defined for ICELAKE!
<6>[   11.813553] i915 0000:00:02.0: HuC: No firmware was defined for ICELAKE!
<7>[   11.813626] [drm:intel_wopcm_init [i915]] Calculated GuC WOPCM Region: [16KiB, 972KiB)
<7>[   11.814022] [drm:i915_gem_init_ggtt [i915]] clearing unused GTT space: [1000, fee00000]
<7>[   11.814389] [drm:intel_engine_init_ctx_wa [i915]] Initialized 4 context workarounds
<7>[   11.814643] [drm:i915_gem_contexts_init [i915]] logical context support initialized
<7>[   11.815684] [drm:logical_ring_init [i915]] Initialized 8 rcs0 workarounds
<7>[   11.815750] [drm:logical_render_ring_init [i915]] Initialized 2 whitelist workarounds
<4>[   11.818002] ------------[ cut here ]------------
<4>[   11.818013] WARN_ON_ONCE(((&(dev_priv)->__info)->gen) >= 11)
<4>[   11.818071] WARNING: CPU: 6 PID: 362 at drivers/gpu/drm/i915/i915_irq.c:363 gen6_pm_iir+0x48/0x70 [i915]
<4>[   11.818073] Modules linked in: ghash_clmulni_intel(+) snd_hda_intel(+) snd_hda_codec e1000e(+) snd_hwdep snd_hda_core ptp pps_core snd_pcm i2c_i801(+) i915(+) mei_me mei ax88179_178a(+) usbnet mii prime_numbers
<4>[   11.818087] CPU: 6 PID: 362 Comm: systemd-udevd Tainted: G     U            5.1.0-rc1-CI-CI_DRM_5769+ #1
<4>[   11.818089] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.3092.A01.1903050716 03/05/2019
<4>[   11.818130] RIP: 0010:gen6_pm_iir+0x48/0x70 [i915]
<4>[   11.818133] Code: 25 00 00 b8 28 43 04 00 74 02 f3 c3 53 48 c7 c6 08 6d 20 a0 48 89 fb 48 c7 c7 ea 42 1f a0 c6 05 d3 5a 25 00 01 e8 08 82 04 e1 <0f> 0b 0f b6 83 52 0d 00 00 5b 3c 08 19 c0 25 00 fd ff ff 05 28 43
<4>[   11.818135] RSP: 0018:ffffc900005339d0 EFLAGS: 00010082
<4>[   11.818138] RAX: 0000000000000000 RBX: ffff88819af00000 RCX: 0000000000000006
<4>[   11.818140] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffffffff82126735
<4>[   11.818142] RBP: ffff88819af07718 R08: 0000000000000000 R09: 0000000000000001
<4>[   11.818144] R10: ffffc90000533900 R11: 0000000000000000 R12: 0000000080000000
<4>[   11.818146] R13: ffff88819dab0040 R14: ffff88819af01308 R15: 0000000000000002
<4>[   11.818148] FS:  00007fd6b86ce680(0000) GS:ffff8881abf80000(0000) knlGS:0000000000000000
<4>[   11.818151] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[   11.818153] CR2: 00007fd6b8190000 CR3: 00000001a7a32006 CR4: 0000000000760ee0
<4>[   11.818155] PKRU: 55555554
<4>[   11.818157] Call Trace:
<4>[   11.818196]  gen6_reset_pm_iir+0xf/0x90 [i915]
<4>[   11.818236]  gen9_reset_guc_interrupts+0x35/0x80 [i915]
<4>[   11.818295]  intel_uc_init_hw+0x49/0x490 [i915]
<4>[   11.818348]  i915_gem_init_hw+0x1a1/0x290 [i915]
<4>[   11.818397]  i915_gem_init+0x507/0x980 [i915]
<4>[   11.818438]  i915_driver_load+0xd1f/0x1770 [i915]
<4>[   11.818446]  ? _raw_spin_unlock_irqrestore+0x4c/0x60
<4>[   11.818450]  ? lockdep_hardirqs_on+0xe3/0x1b0
<4>[   11.818491]  i915_pci_probe+0x29/0xa0 [i915]
<4>[   11.818497]  pci_device_probe+0xa1/0x120
<4>[   11.818503]  really_probe+0xf3/0x3e0
<4>[   11.818508]  driver_probe_device+0x10a/0x120
<4>[   11.818512]  device_driver_attach+0x4b/0x50
<4>[   11.818516]  __driver_attach+0x97/0x130
<4>[   11.818520]  ? device_driver_attach+0x50/0x50
<4>[   11.818523]  bus_for_each_dev+0x74/0xc0
<4>[   11.818528]  bus_add_driver+0x13f/0x210
<4>[   11.818532]  ? 0xffffffffa032c000
<4>[   11.818535]  driver_register+0x56/0xe0
<4>[   11.818538]  ? 0xffffffffa032c000
<4>[   11.818541]  do_one_initcall+0x58/0x2e0
<4>[   11.818544]  ? do_init_module+0x1d/0x1ea
<4>[   11.818549]  ? rcu_read_lock_sched_held+0x6f/0x80
<4>[   11.818552]  ? kmem_cache_alloc_trace+0x261/0x290
<4>[   11.818558]  do_init_module+0x56/0x1ea
<4>[   11.818561]  load_module+0x2701/0x29e0
<4>[   11.818580]  ? __se_sys_finit_module+0xd3/0xf0
<4>[   11.818582]  __se_sys_finit_module+0xd3/0xf0
<4>[   11.818594]  do_syscall_64+0x55/0x190
<4>[   11.818598]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[   11.818600] RIP: 0033:0x7fd6b81f0839
<4>[   11.818603] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4>[   11.818605] RSP: 002b:00007fff17b73fb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4>[   11.818608] RAX: ffffffffffffffda RBX: 0000564ffce86190 RCX: 00007fd6b81f0839
<4>[   11.818610] RDX: 0000000000000000 RSI: 0000564ffce6dc30 RDI: 000000000000000f
<4>[   11.818613] RBP: 0000564ffce6dc30 R08: 0000000000000000 R09: 0000000000000000
<4>[   11.818615] R10: 000000000000000f R11: 0000000000000246 R12: 0000000000000000
<4>[   11.818617] R13: 0000564ffce790b0 R14: 0000000000020000 R15: 0000000000000000
<4>[   11.818627] irq event stamp: 899400
<4>[   11.818630] hardirqs last  enabled at (899399): [<ffffffff81996aac>] _raw_spin_unlock_irqrestore+0x4c/0x60
<4>[   11.818634] hardirqs last disabled at (899400): [<ffffffff8199696a>] _raw_spin_lock_irq+0xa/0x40
<4>[   11.818636] softirqs last  enabled at (899374): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4>[   11.818640] softirqs last disabled at (899367): [<ffffffff810b51b1>] irq_exit+0xd1/0xe0
<4>[   11.818679] WARNING: CPU: 6 PID: 362 at drivers/gpu/drm/i915/i915_irq.c:363 gen6_pm_iir+0x48/0x70 [i915]
<4>[   11.818682] ---[ end trace 788331f916b53291 ]---
<7>[   11.818762] [drm:intel_uc_fw_upload [i915]] HuC fw load (null)
<3>[   11.818767] i915 0000:00:02.0: GuC initialization failed -8
<3>[   11.818863] [drm:i915_gem_init_hw [i915]] *ERROR* Enabling uc failed (-8)
<7>[   11.838234] [drm:edp_panel_vdd_off_sync [i915]] Turning eDP port A VDD off
<7>[   11.838396] [drm:edp_panel_vdd_off_sync [i915]] PP_STATUS: 0x80000008 PP_CONTROL: 0x00000067
<7>[   11.838642] [drm:icl_tc_phy_disconnect [i915]] Port C TC type legacy disconnected
<4>[   11.839158] WARNING: CPU: 2 PID: 362 at drivers/gpu/drm/drm_mode_config.c:456 drm_mode_config_cleanup+0x283/0x2d0
<4>[   11.839160] Modules linked in: ghash_clmulni_intel(+) snd_hda_intel(+) snd_hda_codec e1000e(+) snd_hwdep snd_hda_core ptp pps_core snd_pcm i2c_i801(+) i915(+) mei_me mei ax88179_178a(+) usbnet mii prime_numbers
<4>[   11.839174] CPU: 2 PID: 362 Comm: systemd-udevd Tainted: G     U  W         5.1.0-rc1-CI-CI_DRM_5769+ #1
<4>[   11.839177] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.3092.A01.1903050716 03/05/2019
<4>[   11.839180] RIP: 0010:drm_mode_config_cleanup+0x283/0x2d0
<4>[   11.839182] Code: 32 00 48 8b 45 00 48 39 c5 75 62 48 8b 44 24 30 65 48 33 04 25 28 00 00 00 75 56 48 83 c4 38 5b 5d 41 5c 41 5d 41 5e 41 5f c3 <0f> 0b 48 89 e6 48 89 ef 48 c7 c3 33 d2 0f 82 e8 39 8b ff ff eb 0c
<4>[   11.839185] RSP: 0018:ffffc90000533a30 EFLAGS: 00010287
<4>[   11.839187] RAX: ffff88819c7f0020 RBX: ffff88819af00750 RCX: 0000000000000000
<4>[   11.839189] RDX: ffff88819af006f8 RSI: ffff8881a447c8b8 RDI: 00000000ffffffff
<4>[   11.839190] RBP: ffff88819af00000 R08: 0000000004dfabf4 R09: 0000000000000000
<4>[   11.839192] R10: 0000000000000000 R11: 0000000000000000 R12: ffff88819af00758
<4>[   11.839194] R13: ffff88819af0ae90 R14: 00000000fffffff8 R15: ffff8881a9739158
<4>[   11.839197] FS:  00007fd6b86ce680(0000) GS:ffff8881abe80000(0000) knlGS:0000000000000000
<4>[   11.839199] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[   11.839201] CR2: 00007fd6b8273d9d CR3: 00000001a7a32005 CR4: 0000000000760ee0
<4>[   11.839203] PKRU: 55555554
<4>[   11.839204] Call Trace:
<4>[   11.839262]  ? intel_modeset_cleanup+0xbb/0x140 [i915]
<4>[   11.839315]  intel_modeset_cleanup+0xc3/0x140 [i915]
<4>[   11.839361]  i915_driver_load+0xd66/0x1770 [i915]
<4>[   11.839368]  ? _raw_spin_unlock_irqrestore+0x4c/0x60
<4>[   11.839372]  ? lockdep_hardirqs_on+0xe3/0x1b0
<4>[   11.839417]  i915_pci_probe+0x29/0xa0 [i915]
<4>[   11.839422]  pci_device_probe+0xa1/0x120
<4>[   11.839428]  really_probe+0xf3/0x3e0
<4>[   11.839433]  driver_probe_device+0x10a/0x120
<4>[   11.839437]  device_driver_attach+0x4b/0x50
<4>[   11.839440]  __driver_attach+0x97/0x130
<4>[   11.839444]  ? device_driver_attach+0x50/0x50
<4>[   11.839447]  bus_for_each_dev+0x74/0xc0
<4>[   11.839452]  bus_add_driver+0x13f/0x210
<4>[   11.839455]  ? 0xffffffffa032c000
<4>[   11.839458]  driver_register+0x56/0xe0
<4>[   11.839461]  ? 0xffffffffa032c000
<4>[   11.839464]  do_one_initcall+0x58/0x2e0
<4>[   11.839467]  ? do_init_module+0x1d/0x1ea
<4>[   11.839471]  ? rcu_read_lock_sched_held+0x6f/0x80
<4>[   11.839474]  ? kmem_cache_alloc_trace+0x261/0x290
<4>[   11.839479]  do_init_module+0x56/0x1ea
<4>[   11.839483]  load_module+0x2701/0x29e0
<4>[   11.839498]  ? __se_sys_finit_module+0xd3/0xf0
<4>[   11.839500]  __se_sys_finit_module+0xd3/0xf0
<4>[   11.839511]  do_syscall_64+0x55/0x190
<4>[   11.839515]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[   11.839517] RIP: 0033:0x7fd6b81f0839
<4>[   11.839520] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4>[   11.839522] RSP: 002b:00007fff17b73fb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4>[   11.839524] RAX: ffffffffffffffda RBX: 0000564ffce86190 RCX: 00007fd6b81f0839
<4>[   11.839526] RDX: 0000000000000000 RSI: 0000564ffce6dc30 RDI: 000000000000000f
<4>[   11.839528] RBP: 0000564ffce6dc30 R08: 0000000000000000 R09: 0000000000000000
<4>[   11.839530] R10: 000000000000000f R11: 0000000000000246 R12: 0000000000000000
<4>[   11.839532] R13: 0000564ffce790b0 R14: 0000000000020000 R15: 0000000000000000
<4>[   11.839542] irq event stamp: 901082
<4>[   11.839545] hardirqs last  enabled at (901081): [<ffffffff81996ae4>] _raw_spin_unlock_irq+0x24/0x50
<4>[   11.839547] hardirqs last disabled at (901082): [<ffffffff810019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4>[   11.839549] softirqs last  enabled at (899374): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4>[   11.839553] softirqs last disabled at (899367): [<ffffffff810b51b1>] irq_exit+0xd1/0xe0
<4>[   11.839556] WARNING: CPU: 2 PID: 362 at drivers/gpu/drm/drm_mode_config.c:456 drm_mode_config_cleanup+0x283/0x2d0
<4>[   11.839558] ---[ end trace 788331f916b53292 ]---
<3>[   11.839563] [drm:drm_mode_config_cleanup] *ERROR* connector eDP-1 leaked!
Comment 1 CI Bug Log 2019-03-19 08:52:09 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* fi-icl-guc: igt@runner@aborted - fail - Previous test: nothing
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5769/fi-icl-guc/igt@runner@aborted.html
Comment 2 Jon Ewins 2019-03-19 09:27:39 UTC
Created attachment 143732 [details]
attachment-7407-0.html

I am currently away and will respond when I return
Comment 3 Daniel Vetter 2019-04-01 13:40:35 UTC
Guc not standard config (and frankly we're getting close to PV, so it's unlikely to magically get all its issues fixes), deprioritize?
Comment 4 Martin Peres 2019-04-12 13:20:43 UTC
This failure is fixed by https://patchwork.freedesktop.org/series/58760/. Waiting for it to land!
Comment 5 Lakshmi 2019-04-25 10:39:56 UTC
(In reply to Martin Peres from comment #4)
> This failure is fixed by https://patchwork.freedesktop.org/series/58760/.
> Waiting for it to land!

This series still under review.
Comment 6 Chris Wilson 2019-05-28 11:18:57 UTC
commit c9e0c8d91ead25b073193b5478deeaf3fd60a10a
Author: Michal Wajdeczko <michal.wajdeczko@intel.com>
Date:   Mon May 27 18:36:12 2019 +0000

    drm/i915/huc: Define HuC firmware version for Icelake
    
    Define HuC firmware version for Icelake.
    
    v2: 8.4.3238 is now available
    
    Signed-off-by: Michal Wajdeczko <michal.wajdeczko@intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Cc: Anusha Srivatsa <anusha.srivatsa@intel.com>
    Cc: Tony Ye <tony.ye@intel.com>
    Reviewed-by: Tony Ye <tony.ye@intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190527183613.17076-17-
michal.wajdeczko@intel.com

commit f4cc89992056f1a09bb9de5fb91f277aeb326641
Author: Michal Wajdeczko <michal.wajdeczko@intel.com>
Date:   Mon May 27 18:36:11 2019 +0000

    drm/i915/guc: Define GuC firmware version for Icelake
    
    Define GuC firmware version for Icelake.
    
    Signed-off-by: Michal Wajdeczko <michal.wajdeczko@intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Cc: Anusha Srivatsa <anusha.srivatsa@intel.com>
    Reviewed-by: Anusha Srivatsa <anusha.srivatsa@intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190527183613.17076-16-michal.wajdeczko@intel.com


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.